Page MenuHomePhabricator

Solving for Indian donors that don't have a PAN but want to donate
Closed, ResolvedPublic2 Estimated Story Points

Description

As we know, the current situation is that we must request a PAN for all transactions in India. This puts us in the situation of turning away donors that don't have a PAN or are not willing to share it. I have been discussing with DLOCAL options for dealing with this. DLOCAL is proposing the following solution to allow all donors to donate:
After investigating deeper on our side between our Product + Operations + Fraud + IT team, we found a workaround for you to be able to collect transactions for users that don't have PAN number.
The flow will be:
You will still need to ask for the PAN field for your users, but instead of having it mandatory, having it as optional.
If the user inputs the PAN number you will be sending that to us.
If the user doesn't input the PAN number you will need to send a fixed number (from your BackEnd) which is: AABBC1122C
With this you will be able to collect donations from users without PAN numbers and we will handle the rest of the logic on our side.

Obviously since we are launching in India on 28 July, this is an urgent request if we chose to make it by this date. Please let me know if I can organize a call with DLOCAL to discuss. I will do so ASAP.

Event Timeline

EMartin created this task.Jul 15 2020, 5:19 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 15 2020, 5:19 PM

Important input here from Dlocal Operations + Fraud team: you will need to have that field in your FrontEnd and if the user inputs it you will need to send it, you will ONLY be sending the fixed one if the user didn't complete the field.

Thank you Evelyn this would be an amazing development!

DStrine set the point value for this task to 2.Jul 21 2020, 8:11 PM
jgleeson claimed this task.Jul 22 2020, 3:56 PM
jgleeson moved this task from Backlog to Doing on the Fundraising Sprint Octopus hugs board.

Change 615546 had a related patch set uploaded (by Ejegg; owner: Ejegg):
[mediawiki/extensions/DonationInterface@master] WIP make PAN optional for India

https://gerrit.wikimedia.org/r/615546

Change 615546 merged by jenkins-bot:
[mediawiki/extensions/DonationInterface@master] Make PAN optional for India

https://gerrit.wikimedia.org/r/615546

DStrine closed this task as Resolved.Aug 4 2020, 7:11 PM